To use our debian/ubuntu repository (deb unstable/) just download and install Jitsi’s deb package. It will automatically add our repository to your system so that it will keep Jitsi up to date. Next time you upgrade your system, Jitsi will be automatically updated to its latest version.

Note that you SHOULD NOT manually add Jitsi to your sources list because that would cause GPG Error Warnings! The Jitsi installation would automatically update your repositories.